package CTL.Types;

/** Internal CTL exception */
public class CTLException extends Exception
{
	/** Needed for the Exception interface */
	public static final long serialVersionUID = 1337;
	/** User-defined exception message */
	String msg;

	/** Generate a new CTLException
	 * @param msg User-defined exception message
	 */
	public CTLException (String msg)
	{
		this.msg = msg;
	}

	/** Get the user-defined message
	 * @return Message
	 */
	public String getMsg ()
	{
		return msg;
	}
}
