package Impl.Types;

import CTL.Serialize.*;
import CTL.Types.*;

import java.io.*;

/** Test data structure class */
public class WriteTable implements Writable
{
	private int foo;
	private String bar;

	public WriteTable (int foo, String bar)
	{
		this.foo = foo;
		this.bar = bar;
	}

	public int foo ()
	{
		return foo;
	}

	public String bar ()
	{
		return bar;
	}

	public String toString ()
	{
		return bar+" - "+foo;
	}

	public boolean equals (WriteTable moongoo)
	{
		if ((foo==moongoo.foo()) && (bar.equals(moongoo.bar())))
			return true;
		return false;
	}

	public void read (SerialIn in) throws IOException, ClassNotFoundException
	{
		foo=in.readInt();
		bar=in.readString();
	}

	public void write (SerialOut out) throws IOException
	{
		out.writeInt(foo);
		out.writeString(bar);
	}
}
