package Bench;

import CTL.Types.*;
import javaSys.*;

/** Scalability benchmark client */
public class Scale
{
	public static void main (String[] args)
	{
		int len = 4096;
		if (args.length>0)
			len = Integer.parseInt(args[0]);
		
		Location loc = new Location("Example.Server", 
			"/home/neocool/projects/wire/ctl4j/src", "localhost",
			"neocool", "killgates", Location.TCP);
		//Location loc = new Location("pare14:2789 dmn");
		CTL.Process proc = new CTL.Process(loc);
		
		try
		{
			SendRI.use(proc);
			SendRI send = new SendRI();
			System.out.println("Sending "+(len*4/1024/1024)+" MB data.");
			double[] moo = new double[len];
			double[] foo = send.send(moo);
		} catch (NumberFormatException e) {}
		
		proc.stopService();
	}
}
