package CTL.Annotate;

import java.lang.annotation.*;

/** This Annotation marks variables which should be send as 'AnyObject', 
 * which means that they are send by writeObject() instead of serialWrite().
 * The callee does not have to know the exact type to read such a data
 * structure, as the type is written to the stream.
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface any { }
