package CTL.Comm;

import CTL.Streams.OIStream;
import CTL.Types.CTLException;

import java.io.*;

/** Simple input buffer */
public class BuffyIn
{
	private ByteArrayInputStream bin;
	public OIStream i;
	
	public BuffyIn (byte[] data) throws IOException, CTLException
	{
		if (data == null)
			throw new CTLException("No data to write.");
		bin = new ByteArrayInputStream(data);
		i = new OIStream(bin);
	}
}	
