package CTL;

import CTL.Comm.*;

import java.net.*;

/** Global environment */
public class Env
{
	/** Process group */
	public static Group grp;
	/** Map with all allocated objects and their IDs */
	public static ObjectMap map;
	/** Logging handler */
	public static Logger log;
	/** Communicator */
	public static Communicator[] comm;
	
	public static boolean daemon = false;

	static
	{
		grp = null;
		log = null;
		map = new ObjectMap();
	}
}
