package Example;

import CTL.*;
import CTL.Types.*;
import javaSys.*;

/** Sample client for testing rResult functionality */
public class Client2 
{
	public static void main (String args[])
	{
		Location loc = new Location("Example.Server", 
			"/home/neocool/projects/ctl4j/src", "localhost", 
			"neocool", "hibgidKag", Location.TCP);
		CTL.Process proc = new CTL.Process(loc);
		MatheRI.use(proc);
		
		MatheRI mathe_ri = new MatheRI();
		
		rResult res = mathe_ri.add_rr(4, 5);
		
		if (res==null)
			System.out.println("No rResult!");
		else
		{
			while (!res.received(res.results()-1));
			System.out.println("4 + 5 = "+res.intValue(res.results()-1));
		}

		res = MatheRI.foobar_rr();

		if (res==null)
			System.out.println("No rResult!");
		else
		{
			while (!res.received(res.results()-1));
			System.out.println(res.StringValue(res.results()-1));
		}
		
		proc.stopService();
	}
}
