package Example;

import CTL.Types.*;
import javaSys.CryptRI;

/** Simple client for the crypto component */
public class Crypto
{
	public static void main (String[] args)
	{
		Location loc = new Location("Example.Server", 
			"/home/neocool/projects/wire/ctl4j/src", "localhost", 
			"neocool", "killgates", Location.TCP);
		CTL.Process proc = new CTL.Process(loc);
		CryptRI.use(proc);
		CryptRI crypt = new CryptRI("VigenereChiffre");
		crypt.createKey("/tmp/key.tmp");
		crypt.encrypt("/tmp/text.tmp", "/tmp/enc.tmp", "/tmp/key.tmp");
		//crypt.decrypt("/tmp/dec.tmp", "/tmp/enc.tmp", "/tmp/key.tmp");
		proc.stopService();
	}
}	
