package Example;

import CTL.*;
import CTL.Types.*;

/** Sample server implemenation */
public class Server
{
	public static void main (String[] args)
	{
		try
		{
			boolean dmn = true;
			int port = 0;
			
			if (args.length > 0)
			{
				port = RUtil.tryInt(args[0]);
				dmn = (port != -1);
			}

			if (!dmn)
				Env.grp = new Group(args);
			else
				Env.grp = new Group("localhost", port, 0, 2, 
					Location.TCP, true);
				
			Env.grp.run();
		}
		catch (Exception e)
		{
			RUtil.except(e);
		}
	}
}
