package Test;

import java.io.*;
import java.lang.reflect.*;
import java.util.*;

import CTL.*;
import CTL.Streams.*;
import CTL.Types.*;
import ReflWrap.*;

public class TReflArray
{
	private OIStream in;
	private OOStream out;
	
	public TReflArray () throws IOException, CTLException
	{
		PipedOutputStream pout = new PipedOutputStream();
		PipedInputStream pin = new PipedInputStream(pout);
		out = new OOStream(pout);
		in = new OIStream(pin);

		Env.log = new Logger("test.log", Logger.DBG);
	}

	public void testCase () throws IOException, CTLException, 
		ClassNotFoundException, InstantiationException, IllegalAccessException,
		InvocationTargetException
	{
		Object bar = (Object)new double[3];
		//System.out.println(Arrays.toString(Refl.doubleArray(bar)));

		out.serialWrite(bar);
		out.flush();
		Object moo = in.serialRead(double[].class);
		/*System.out.println(Arrays.toString((Object[])moo));
		System.out.println(Arrays.toString((foobar(moo))));*/
		System.out.println(Arrays.toString(Refl.doubleArray(moo)));
	}

	private double[] foobar (Object data)
	{
		Object[] moo = (Object[])data;
		int len = moo.length;
		double[] ret = new double[len];
		for (int i=0;i<len;i++)
			ret[i] = ((Double)moo[i]).doubleValue();
		return ret;
	}
	
	public static void main (String[] args)
	{
		try
		{
			TReflArray moo = new TReflArray();
			moo.testCase();
		}
		catch (Exception e)
		{
			RUtil.except(e);
			System.exit(1);
		}
	}
}
