#!/bin/sh

if [ -z "$1" ]
then
	for tst in test/*.{ci,h,ri}
	do
		$0 $tst
		if [ $? -ne 0 ]
		then 
			exit 1
		fi
	done
	exit 0
fi

TMP=`mktemp /tmp/tmp.XXXXXX`
./ctlcc.py $1 >$TMP
diff $1.java $TMP
ret=$?
javac -cp $CLASSPATH:src $1.java
#ret=`expr $ret + $?`
rm -f $TMP
exit $ret
